Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.executor.impl
Class ExecutorServiceEntryPointImpl

    java.lang.Object
      org.jbpm.executor.impl.ExecutorServiceEntryPointImpl

All Implemented Interfaces:
  ExecutorServiceEntryPoint

    public class ExecutorServiceEntryPointImpl

extends Object
implements ExecutorServiceEntryPoint

Constructor Summary
`ExecutorServiceEntryPointImpl()`

Method Summary
`void` | `cancelRequest(Long requestId)`
`int` | `clearAllErrors()`
`int` | `clearAllRequests()`
`void` | `destroy()`
`ExecutorRequestAdminService` | `getAdminService()`
`List<ErrorInfo>` | `getAllErrors()`
`List<RequestInfo>` | `getAllRequests()`
`List<RequestInfo>` | `getCancelledRequests()`
`List<RequestInfo>` | `getCompletedRequests()`
`List<ErrorInfo>` | `getErrorsByRequestId(Long requestId)`
`Executor` | `getExecutor()`
`javax.enterprise.event.Event<RequestInfo>` | `getExecutorEventListeners()`
`List<RequestInfo>` | `getFutureQueuedRequests()`
`List<RequestInfo>` | `getInErrorRequests()`
`int` | `getInterval()`
`List<RequestInfo>` | `getPendingRequestById(Long id)`
`List<RequestInfo>` | `getPendingRequests()`
`ExecutorQueryService` | `getQueryService()`
`List<RequestInfo>` | `getQueuedRequests()`
`RequestInfo` | `getRequestById(Long requestId)`
`List<RequestInfo>` | `getRequestsByStatus(List<STATUS> statuses)`
`int` | `getRetries()`
`List<RequestInfo>` | `getRunningRequests()`
`int` | `getThreadPoolSize()`
`void` | `init()`
`boolean` | `isActive()`
`void` | `registerExecutorEventListener(JbpmServicesEventListener<RequestInfo> executorEventListener)`
`Long` | `scheduleRequest(String commandName, CommandContext ctx)`
`Long` | `scheduleRequest(String commandId, Date date, CommandContext ctx)`
`void` | `setAdminService(ExecutorRequestAdminService adminService)`
`void` | `setExecutor(Executor executor)`
`void` | `setInterval(int waitTime)`
`void` | `setQueryService(ExecutorQueryService queryService)`
`void` | `setRetries(int defaultNroOfRetries)`
`void` | `setThreadPoolSize(int nroOfThreads)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecutorServiceEntryPointImpl

    public ExecutorServiceEntryPointImpl()

Method Detail

### getExecutor

    public Executor getExecutor()

### setExecutor

    public void setExecutor(Executor executor)

### getQueryService

    public ExecutorQueryService getQueryService()

### setQueryService

    public void setQueryService(ExecutorQueryService queryService)

### getAdminService

    public ExecutorRequestAdminService getAdminService()

### setAdminService

    public void setAdminService(ExecutorRequestAdminService adminService)

### getFutureQueuedRequests

    public List<RequestInfo> getFutureQueuedRequests()

  Specified by:
    `getFutureQueuedRequests` in interface `ExecutorServiceEntryPoint`

### getQueuedRequests

    public List<RequestInfo> getQueuedRequests()

  Specified by:
    `getQueuedRequests` in interface `ExecutorServiceEntryPoint`

### getCompletedRequests

    public List<RequestInfo> getCompletedRequests()

  Specified by:
    `getCompletedRequests` in interface `ExecutorServiceEntryPoint`

### getInErrorRequests

    public List<RequestInfo> getInErrorRequests()

  Specified by:
    `getInErrorRequests` in interface `ExecutorServiceEntryPoint`

### getCancelledRequests

    public List<RequestInfo> getCancelledRequests()

  Specified by:
    `getCancelledRequests` in interface `ExecutorServiceEntryPoint`

### getAllErrors

    public List<ErrorInfo> getAllErrors()

  Specified by:
    `getAllErrors` in interface `ExecutorServiceEntryPoint`

### getAllRequests

    public List<RequestInfo> getAllRequests()

  Specified by:
    `getAllRequests` in interface `ExecutorServiceEntryPoint`

### getRequestsByStatus

    public List<RequestInfo> getRequestsByStatus(List<STATUS> statuses)

  Specified by:
    `getRequestsByStatus` in interface `ExecutorServiceEntryPoint`

### clearAllRequests

    public int clearAllRequests()

  Specified by:
    `clearAllRequests` in interface `ExecutorServiceEntryPoint`

### clearAllErrors

    public int clearAllErrors()

  Specified by:
    `clearAllErrors` in interface `ExecutorServiceEntryPoint`

### scheduleRequest

    public Long scheduleRequest(String commandName,
                                CommandContext ctx)

  Specified by:
    `scheduleRequest` in interface `ExecutorServiceEntryPoint`

### cancelRequest

    public void cancelRequest(Long requestId)

  Specified by:
    `cancelRequest` in interface `ExecutorServiceEntryPoint`

### init

    public void init()

  Specified by:
    `init` in interface `ExecutorServiceEntryPoint`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `ExecutorServiceEntryPoint`

### isActive

    public boolean isActive()

  Specified by:
    `isActive` in interface `ExecutorServiceEntryPoint`

### getInterval

    public int getInterval()

  Specified by:
    `getInterval` in interface `ExecutorServiceEntryPoint`

### setInterval

    public void setInterval(int waitTime)

  Specified by:
    `setInterval` in interface `ExecutorServiceEntryPoint`

### getRetries

    public int getRetries()

  Specified by:
    `getRetries` in interface `ExecutorServiceEntryPoint`

### setRetries

    public void setRetries(int defaultNroOfRetries)

  Specified by:
    `setRetries` in interface `ExecutorServiceEntryPoint`

### getThreadPoolSize

    public int getThreadPoolSize()

  Specified by:
    `getThreadPoolSize` in interface `ExecutorServiceEntryPoint`

### setThreadPoolSize

    public void setThreadPoolSize(int nroOfThreads)

  Specified by:
    `setThreadPoolSize` in interface `ExecutorServiceEntryPoint`

### getPendingRequests

    public List<RequestInfo> getPendingRequests()

  Specified by:
    `getPendingRequests` in interface `ExecutorServiceEntryPoint`

### getPendingRequestById

    public List<RequestInfo> getPendingRequestById(Long id)

  Specified by:
    `getPendingRequestById` in interface `ExecutorServiceEntryPoint`

### scheduleRequest

    public Long scheduleRequest(String commandId,
                                Date date,
                                CommandContext ctx)

  Specified by:
    `scheduleRequest` in interface `ExecutorServiceEntryPoint`

### getRunningRequests

    public List<RequestInfo> getRunningRequests()

  Specified by:
    `getRunningRequests` in interface `ExecutorServiceEntryPoint`

### getRequestById

    public RequestInfo getRequestById(Long requestId)

  Specified by:
    `getRequestById` in interface `ExecutorServiceEntryPoint`

### getErrorsByRequestId

    public List<ErrorInfo> getErrorsByRequestId(Long requestId)

  Specified by:
    `getErrorsByRequestId` in interface `ExecutorServiceEntryPoint`

### registerExecutorEventListener

    public void registerExecutorEventListener(JbpmServicesEventListener<RequestInfo> executorEventListener)

  Specified by:
    `registerExecutorEventListener` in interface `ExecutorServiceEntryPoint`

### getExecutorEventListeners

    public javax.enterprise.event.Event<RequestInfo> getExecutorEventListeners()

  Specified by:
    `getExecutorEventListeners` in interface `ExecutorServiceEntryPoint`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.